Package com.avaya.clientservices.collaboration

## Enum ZoomableImageView.Scale

- java.lang.Object
- - java.lang.Enum<ZoomableImageView.Scale>
  - - com.avaya.clientservices.collaboration.ZoomableImageView.Scale

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ZoomableImageView.Scale>`
  Enclosing class:
    ZoomableImageView

      public static enum ZoomableImageView.Scale
      extends java.lang.Enum<ZoomableImageView.Scale>

  Indicates how image `Bitmap` will be scaled inside this view.
  See Also:
    `ZoomableImageView.setDefaultScale(Scale)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEFAULT_SCALE_FIT_INSIDE` | Image `Bitmap` will be scaled to fit view bounds.
    `DEFAULT_SCALE_ORIGINAL` | Image `Bitmap` will not be scaled.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ZoomableImageView.Scale` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ZoomableImageView.Scale[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT_SCALE_FIT_INSIDE

          public static final ZoomableImageView.Scale DEFAULT_SCALE_FIT_INSIDE

      Image `Bitmap` will be scaled to fit view bounds.

    - #### DEFAULT_SCALE_ORIGINAL

          public static final ZoomableImageView.Scale DEFAULT_SCALE_ORIGINAL

      Image `Bitmap` will not be scaled. It will be displayed with its original size.

  - ### Method Detail

    - #### values

          public static ZoomableImageView.Scale[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ZoomableImageView.Scale c : ZoomableImageView.Scale.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ZoomableImageView.Scale valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null